NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.RoutingCommon.EditPointBuilder Class Reference

Represents NXOpen.RoutingCommon.EditPointBuilder . More...

Inheritance diagram for NXOpen.RoutingCommon.EditPointBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Editsegmenttype { None, Length, Angle }
 Specifies the options available for Edit Segment motion. More...
 
enum  Motiontype { MovePoint, EditSegment }
 Specifies the options available for motion. More...
 

Public Member Functions

unsafe void DragObjects ()
 Perform a drag operation. More...
 
unsafe void ResetDrag ()
 Reset a drag operation More...
 
unsafe void StartDrag ()
 Begin a drag operation. More...
 
unsafe void StopDrag ()
 End a drag operation More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.RoutingCommon.EditPointBuilder.Editsegmenttype 
ActiveEditSegmentType [get, set]
 Returns or sets the edit segment type setting Allows you to specify the type of edit in edit segment motion. More...
 
unsafe
NXOpen.RoutingCommon.EditPointBuilder.Motiontype 
ActiveMotionType [get, set]
 Returns or sets the motion type setting. More...
 
unsafe double BendAngle [get, set]
 Returns or sets the bend angle setting. More...
 
unsafe bool IsDetachObject [get, set]
 Returns or sets the detach setting. More...
 
unsafe bool MaintainAngle [get, set]
 Returns or sets the maintain angle setting. More...
 
unsafe bool MaintainLength [get, set]
 Returns or sets the maintain length setting. More...
 
unsafe
NXOpen.Routing.RouteObjectCollector 
PointSelection [get]
 Returns the routing objects that are being edited. More...
 
unsafe NXOpen.Line Segment [get, set]
 Returns or sets the segment setting. More...
 
unsafe double SegmentLength [get, set]
 Returns or sets the segment length setting. More...
 
unsafe
NXOpen.RoutingCommon.TransformBlockBuilder 
TransformTool [get]
 Returns the transform tool. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents NXOpen.RoutingCommon.EditPointBuilder .

To create a new instance of this class, use NXOpen.RoutingCommon.BuilderFactory.CreateEditPointBuilder

Created in NX11.0.0

Member Enumeration Documentation

Specifies the options available for Edit Segment motion.

Enumerator
None 

Move Point Motion

Length 

Edit length type in Edit Segment Motion

Angle 

Edit angle type in Edit Segment Motion

Specifies the options available for motion.

Enumerator
MovePoint 

Move Point Motion

EditSegment 

Edit Segment Motion

Member Function Documentation

unsafe void NXOpen.RoutingCommon.EditPointBuilder.DragObjects ( )
inline

Perform a drag operation.

Solves the constraint network applying the transform required to move the routing object to a new position.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.RoutingCommon.EditPointBuilder.ResetDrag ( )
inline

Reset a drag operation

Resets the position of routing objects in constraint network back to their initial position.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.RoutingCommon.EditPointBuilder.StartDrag ( )
inline

Begin a drag operation.

Creates a constraint network of routing objects connected to the routing object that is being edited.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.RoutingCommon.EditPointBuilder.StopDrag ( )
inline

End a drag operation

Applies the transforms obtained from solving the constraint network on routing objects.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Property Documentation

unsafe NXOpen.RoutingCommon.EditPointBuilder.Editsegmenttype NXOpen.RoutingCommon.EditPointBuilder.ActiveEditSegmentType
getset

Returns or sets the edit segment type setting Allows you to specify the type of edit in edit segment motion.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.RoutingCommon.EditPointBuilder.Motiontype NXOpen.RoutingCommon.EditPointBuilder.ActiveMotionType
getset

Returns or sets the motion type setting.

Allows you to specify the type of edit point motion to be applied.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe double NXOpen.RoutingCommon.EditPointBuilder.BendAngle
getset

Returns or sets the bend angle setting.

Allows you to specify new angle for a segment connected at the RCP or Port being edited. Reference for angle measurement is the other segment connected at the RCP or Port being edited.

Is applicable only when there are two segments connected at RCP or Port being edited.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe bool NXOpen.RoutingCommon.EditPointBuilder.IsDetachObject
getset

Returns or sets the detach setting.

Allows you to specify if the selected object has to be detached from the segment during transformation.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe bool NXOpen.RoutingCommon.EditPointBuilder.MaintainAngle
getset

Returns or sets the maintain angle setting.

Allows you to specify if the angles between segments connected at the RCP or Port being edited must be fixed during transformation.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe bool NXOpen.RoutingCommon.EditPointBuilder.MaintainLength
getset

Returns or sets the maintain length setting.

Allows you to specify if the lengths of segments connected at the RCP or Port being edited must be fixed during transformation.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Routing.RouteObjectCollector NXOpen.RoutingCommon.EditPointBuilder.PointSelection
get

Returns the routing objects that are being edited.

The object can be a Routing Control Point or routing port or one of their occurences.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

unsafe NXOpen.Line NXOpen.RoutingCommon.EditPointBuilder.Segment
getset

Returns or sets the segment setting.

Allows you to specify a segment connected at the RCP or Port being edited.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe double NXOpen.RoutingCommon.EditPointBuilder.SegmentLength
getset

Returns or sets the segment length setting.

Allows you to specify new length for a segment connected at the RCP or Port being edited.

New length is applied on the segment by moving the RCP or Port being edited.

Created in NX11.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.RoutingCommon.TransformBlockBuilder NXOpen.RoutingCommon.EditPointBuilder.TransformTool
get

Returns the transform tool.

Allows you to access the transform block object.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.